Plesk\backup\Agent\Schema\Backup\ServiceNode\ServiceNodeAType\UsedScriptingAType:
    properties:
        ssi:
            expose: true
            access_type: public_method
            serialized_name: ssi
            xml_element:
                cdata: false
            accessor:
                getter: getSsi
                setter: setSsi
            type: bool
        cgi:
            expose: true
            access_type: public_method
            serialized_name: cgi
            xml_element:
                cdata: false
            accessor:
                getter: getCgi
                setter: setCgi
            type: bool
        perl:
            expose: true
            access_type: public_method
            serialized_name: perl
            xml_element:
                cdata: false
            accessor:
                getter: getPerl
                setter: setPerl
            type: bool
        python:
            expose: true
            access_type: public_method
            serialized_name: python
            xml_element:
                cdata: false
            accessor:
                getter: getPython
                setter: setPython
            type: bool
        coldfusion:
            expose: true
            access_type: public_method
            serialized_name: coldfusion
            xml_element:
                cdata: false
            accessor:
                getter: getColdfusion
                setter: setColdfusion
            type: bool
        miva:
            expose: true
            access_type: public_method
            serialized_name: miva
            xml_element:
                cdata: false
            accessor:
                getter: getMiva
                setter: setMiva
            type: bool
        fp:
            expose: true
            access_type: public_method
            serialized_name: fp
            xml_element:
                cdata: false
            accessor:
                getter: getFp
                setter: setFp
            type: bool
        php:
            expose: true
            access_type: public_method
            serialized_name: php
            xml_element:
                cdata: false
            accessor:
                getter: getPhp
                setter: setPhp
            type: Plesk\backup\Agent\Schema\Backup\ServiceNode\ServiceNodeAType\UsedScriptingAType\PhpAType
        aspDotNet:
            expose: true
            access_type: public_method
            serialized_name: asp_dot_net
            xml_element:
                cdata: false
            accessor:
                getter: getAspDotNet
                setter: setAspDotNet
            type: array<string>
            xml_list:
                inline: false
                entry_name: version
                skip_when_empty: true
